/* Reflow Oven Controller
 *
 * Copyright (C) 2020  Mario Hüttel <mario.huettel@gmx.net>
 *
 * This file is part of the Reflow Oven Controller Project.
 *
 * The reflow oven controller is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * GDSII-Converter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the reflow oven controller project.
 * If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __UNIQUE_ID_H__
#define __UNIQUE_ID_H__

#include <stdint.h>

/**
 * @brief Get the device's unique 96 bit ID programmed by ST during manufacturing
 * @param high high word of ID
 * @param mid mid word of ID
 * @param low low word of ID
 */
void unique_id_get(uint32_t *high, uint32_t *mid, uint32_t *low);

#endif /* __UNIQUE_ID_H__ */
